Subject: [PATCH v2] ARM: OMAP1: Move dpll1 rates selection from config to runtime

From: [email-masked] (Tony Lindgren)
Date: Thu, 8 Dec 2011 18:09:22 -0800

* Janusz Krzysztofik <[email-masked]> [111208 17:24]:
> For still better multi-OMAP1 support, expand omap1_rate_table with flags
> for different SoC types and match them while selecting clock rates. The
> idea is stolen from current omap24xx clock rate selection algorithm.
> 
> Since clkdev platform flag definitions are reused here, those had to be
> expanded with one extra entry for OMAP1710 subtype, as this is the only
> SoC for which we allow selection of the highest, 216 MHz rate.
> 
> Once done, remove no longer needed clock rate configure time options.
> 
> Created against linux-omap/master tip as of Thu Dec 1,
> commit f83c2a8cbb59981722d1ab610c79adfd034a2667.
> Tested on Amstrad Delta.
> 
> Signed-off-by: Janusz Krzysztofik <[email-masked]>
> ---
> v2: limit OMAP1510 rate to 150 MHz, or some boards may not work.

Thanks pushing them all into omap1 branch, can you please check
that I got all the patches? I've boot tested it here on h2/osk/770.

Tony